org.encog.neural.neat.training.opp.links

## Class SelectProportion

- java.lang.Object
- - org.encog.neural.neat.training.opp.links.SelectProportion

- All Implemented Interfaces:
    SelectLinks

      public class SelectProportion
      extends Object
      implements SelectLinks

  Select a random proportion of links to mutate. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectProportion(double theProportion)` Select based on proportion.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EvolutionaryAlgorithm` | `getTrainer()`
    `void` | `init(EvolutionaryAlgorithm theTrainer)` Setup the selector.
    `List<NEATLinkGene>` | `selectLinks(Random rnd, NEATGenome genome)` Select links from the specified genome.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectProportion

          public SelectProportion(double theProportion)

      Select based on proportion.
      Parameters:
        `theProportion` - The proportion to select from.

  - ### Method Detail

    - #### init

          public void init(EvolutionaryAlgorithm theTrainer)

      Setup the selector.
      Specified by:
        `init` in interface `SelectLinks`
      Parameters:
        `theTrainer` - The trainer.

    - #### selectLinks

          public List<NEATLinkGene> selectLinks(Random rnd,
                                       NEATGenome genome)

      Select links from the specified genome.
      Specified by:
        `selectLinks` in interface `SelectLinks`
      Parameters:
        `rnd` - A random number generator.
        `genome` - The genome to select from.
      Returns:
        A List of link genomes.

    - #### getTrainer

          public EvolutionaryAlgorithm getTrainer()

      Specified by:
        `getTrainer` in interface `SelectLinks`
      Returns:
        The trainer being used.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.